<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Mon Jul 17 12:51:57 CEST 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Uses of Class towerwarspp.player.mcts.Node (APP)</title>
<meta name="date" content="2017-07-17">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class towerwarspp.player.mcts.Node (APP)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../towerwarspp/player/mcts/Node.html" title="class in towerwarspp.player.mcts">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?towerwarspp/player/mcts/class-use/Node.html" target="_top">Frames</a></li>
<li><a href="Node.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h2 title="Uses of Class towerwarspp.player.mcts.Node" class="title">Uses of Class<br>towerwarspp.player.mcts.Node</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing packages, and an explanation">
<caption><span>Packages that use <a href="../../../../towerwarspp/player/mcts/Node.html" title="class in towerwarspp.player.mcts">Node</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="#towerwarspp.player.mcts">towerwarspp.player.mcts</a></td>
<td class="colLast">
<div class="block">The mcts package which implements the monte carlo tree search algorithm.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList"><a name="towerwarspp.player.mcts">
<!--   -->
</a>
<h3>Uses of <a href="../../../../towerwarspp/player/mcts/Node.html" title="class in towerwarspp.player.mcts">Node</a> in <a href="../../../../towerwarspp/player/mcts/package-summary.html">towerwarspp.player.mcts</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing fields, and an explanation">
<caption><span>Fields in <a href="../../../../towerwarspp/player/mcts/package-summary.html">towerwarspp.player.mcts</a> declared as <a href="../../../../towerwarspp/player/mcts/Node.html" title="class in towerwarspp.player.mcts">Node</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>(package private) <a href="../../../../towerwarspp/player/mcts/Node.html" title="class in towerwarspp.player.mcts">Node</a></code></td>
<td class="colLast"><span class="typeNameLabel">ScoredNode.</span><code><span class="memberNameLink"><a href="../../../../towerwarspp/player/mcts/ScoredNode.html#node">node</a></span></code>
<div class="block">Contained Node in pair.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private <a href="../../../../towerwarspp/player/mcts/Node.html" title="class in towerwarspp.player.mcts">Node</a></code></td>
<td class="colLast"><span class="typeNameLabel">Node.</span><code><span class="memberNameLink"><a href="../../../../towerwarspp/player/mcts/Node.html#parent">parent</a></span></code>
<div class="block">The parent Node of this Node.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private <a href="../../../../towerwarspp/player/mcts/Node.html" title="class in towerwarspp.player.mcts">Node</a></code></td>
<td class="colLast"><span class="typeNameLabel">UpdateTree.</span><code><span class="memberNameLink"><a href="../../../../towerwarspp/player/mcts/UpdateTree.html#root">root</a></span></code>
<div class="block">Root of the search tree.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private <a href="../../../../towerwarspp/player/mcts/Node.html" title="class in towerwarspp.player.mcts">Node</a></code></td>
<td class="colLast"><span class="typeNameLabel">Mcts.</span><code><span class="memberNameLink"><a href="../../../../towerwarspp/player/mcts/Mcts.html#root">root</a></span></code>
<div class="block">The current root of the search tree.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private <a href="../../../../towerwarspp/player/mcts/Node.html" title="class in towerwarspp.player.mcts">Node</a></code></td>
<td class="colLast"><span class="typeNameLabel">Node.</span><code><span class="memberNameLink"><a href="../../../../towerwarspp/player/mcts/Node.html#terminalChild">terminalChild</a></span></code>
<div class="block">If a Node has Child that represents a terminal game state, it's reference will be saved here.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing fields, and an explanation">
<caption><span>Fields in <a href="../../../../towerwarspp/player/mcts/package-summary.html">towerwarspp.player.mcts</a> with type parameters of type <a href="../../../../towerwarspp/player/mcts/Node.html" title="class in towerwarspp.player.mcts">Node</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>private java.util.ArrayList&lt;<a href="../../../../towerwarspp/player/mcts/Node.html" title="class in towerwarspp.player.mcts">Node</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">Node.</span><code><span class="memberNameLink"><a href="../../../../towerwarspp/player/mcts/Node.html#children">children</a></span></code>
<div class="block">Explored (meaning a playout has been done from their represented game state) children of this Node.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private java.util.ArrayList&lt;<a href="../../../../towerwarspp/player/mcts/Node.html" title="class in towerwarspp.player.mcts">Node</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">Node.</span><code><span class="memberNameLink"><a href="../../../../towerwarspp/player/mcts/Node.html#unvisitedChildren">unvisitedChildren</a></span></code>
<div class="block">Children of this Node for which no information has been gathered.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../towerwarspp/player/mcts/package-summary.html">towerwarspp.player.mcts</a> that return <a href="../../../../towerwarspp/player/mcts/Node.html" title="class in towerwarspp.player.mcts">Node</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>(package private) <a href="../../../../towerwarspp/player/mcts/Node.html" title="class in towerwarspp.player.mcts">Node</a></code></td>
<td class="colLast"><span class="typeNameLabel">Node.</span><code><span class="memberNameLink"><a href="../../../../towerwarspp/player/mcts/Node.html#bestUCBChild--">bestUCBChild</a></span>()</code>
<div class="block">Method to calculate the UCB1 score via <a href="../../../../towerwarspp/player/mcts/Node.html#upperConfBound-double-"><code>upperConfBound(double)</code></a> and return the Node that has the highest
 value.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>(package private) <a href="../../../../towerwarspp/player/mcts/Node.html" title="class in towerwarspp.player.mcts">Node</a></code></td>
<td class="colLast"><span class="typeNameLabel">Node.</span><code><span class="memberNameLink"><a href="../../../../towerwarspp/player/mcts/Node.html#expand-towerwarspp.board.Board-">expand</a></span>(<a href="../../../../towerwarspp/board/Board.html" title="class in towerwarspp.board">Board</a>&nbsp;board)</code>
<div class="block">Used to expand a Node by selecting one of it's unexplored children from <a href="../../../../towerwarspp/player/mcts/Node.html#unvisitedChildren"><code>unvisitedChildren</code></a> and adding it to
 it's <a href="../../../../towerwarspp/player/mcts/Node.html#children"><code>children</code></a> list.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>(package private) <a href="../../../../towerwarspp/player/mcts/Node.html" title="class in towerwarspp.player.mcts">Node</a></code></td>
<td class="colLast"><span class="typeNameLabel">Node.</span><code><span class="memberNameLink"><a href="../../../../towerwarspp/player/mcts/Node.html#getParent--">getParent</a></span>()</code>
<div class="block">Returns the direct ancestor of this Node.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>(package private) <a href="../../../../towerwarspp/player/mcts/Node.html" title="class in towerwarspp.player.mcts">Node</a></code></td>
<td class="colLast"><span class="typeNameLabel">Node.</span><code><span class="memberNameLink"><a href="../../../../towerwarspp/player/mcts/Node.html#getTerminalChild--">getTerminalChild</a></span>()</code>
<div class="block">Check first with <a href="../../../../towerwarspp/player/mcts/Node.html#hasTerminalChild--"><code>hasTerminalChild()</code></a> if a Node has a terminal Child.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>(package private) <a href="../../../../towerwarspp/player/mcts/Node.html" title="class in towerwarspp.player.mcts">Node</a></code></td>
<td class="colLast"><span class="typeNameLabel">Node.</span><code><span class="memberNameLink"><a href="../../../../towerwarspp/player/mcts/Node.html#maxChild--">maxChild</a></span>()</code>
<div class="block">Method to select the child Node which has the highest weight (win / games ratio) returned by calling <a href="../../../../towerwarspp/player/mcts/Node.html#getWeight--"><code>getWeight()</code></a>
 on all of the children this Node.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>(package private) <a href="../../../../towerwarspp/player/mcts/Node.html" title="class in towerwarspp.player.mcts">Node</a></code></td>
<td class="colLast"><span class="typeNameLabel">Node.</span><code><span class="memberNameLink"><a href="../../../../towerwarspp/player/mcts/Node.html#nthBestUCBChild-int-">nthBestUCBChild</a></span>(int&nbsp;nthHighest)</code>
<div class="block">Returns this Nodes nth highest scored Child after the UCB1 formulae.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>(package private) <a href="../../../../towerwarspp/player/mcts/Node.html" title="class in towerwarspp.player.mcts">Node</a></code></td>
<td class="colLast"><span class="typeNameLabel">Node.</span><code><span class="memberNameLink"><a href="../../../../towerwarspp/player/mcts/Node.html#robustChild--">robustChild</a></span>()</code>
<div class="block">Method to select the child Node which has the highest <a href="../../../../towerwarspp/player/mcts/Node.html#games"><code>games</code></a> count of all the children this Node has.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../towerwarspp/player/mcts/package-summary.html">towerwarspp.player.mcts</a> that return types with arguments of type <a href="../../../../towerwarspp/player/mcts/Node.html" title="class in towerwarspp.player.mcts">Node</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>(package private) java.util.ArrayList&lt;<a href="../../../../towerwarspp/player/mcts/Node.html" title="class in towerwarspp.player.mcts">Node</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">Node.</span><code><span class="memberNameLink"><a href="../../../../towerwarspp/player/mcts/Node.html#fullExpand-towerwarspp.board.Board-">fullExpand</a></span>(<a href="../../../../towerwarspp/board/Board.html" title="class in towerwarspp.board">Board</a>&nbsp;board)</code>
<div class="block">Use this function to fully expand a node.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>(package private) java.util.ArrayList&lt;<a href="../../../../towerwarspp/player/mcts/Node.html" title="class in towerwarspp.player.mcts">Node</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">Node.</span><code><span class="memberNameLink"><a href="../../../../towerwarspp/player/mcts/Node.html#getChildren--">getChildren</a></span>()</code>
<div class="block">Returns the ArrayList containing this Nodes explored children.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../towerwarspp/player/mcts/package-summary.html">towerwarspp.player.mcts</a> with parameters of type <a href="../../../../towerwarspp/player/mcts/Node.html" title="class in towerwarspp.player.mcts">Node</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>private void</code></td>
<td class="colLast"><span class="typeNameLabel">Mcts.</span><code><span class="memberNameLink"><a href="../../../../towerwarspp/player/mcts/Mcts.html#freeAncestorMemory-towerwarspp.player.mcts.Node-">freeAncestorMemory</a></span>(<a href="../../../../towerwarspp/player/mcts/Node.html" title="class in towerwarspp.player.mcts">Node</a>&nbsp;node)</code>
<div class="block">Method to make a part of the search tree that is of no use anymore available to be cleared by the Garbage Collector
 by iteratively setting the parent references of all the ancestors of the passed Node to null.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>(package private) void</code></td>
<td class="colLast"><span class="typeNameLabel">Node.</span><code><span class="memberNameLink"><a href="../../../../towerwarspp/player/mcts/Node.html#setParent-towerwarspp.player.mcts.Node-">setParent</a></span>(<a href="../../../../towerwarspp/player/mcts/Node.html" title="class in towerwarspp.player.mcts">Node</a>&nbsp;parent)</code>
<div class="block">Use to set the parent value of this Node.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private void</code></td>
<td class="colLast"><span class="typeNameLabel">Mcts.</span><code><span class="memberNameLink"><a href="../../../../towerwarspp/player/mcts/Mcts.html#updateRoot-towerwarspp.player.mcts.Node-">updateRoot</a></span>(<a href="../../../../towerwarspp/player/mcts/Node.html" title="class in towerwarspp.player.mcts">Node</a>&nbsp;node)</code>
<div class="block">Used to update the root of the tree after the algorithm has decided on a move to play.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing constructors, and an explanation">
<caption><span>Constructors in <a href="../../../../towerwarspp/player/mcts/package-summary.html">towerwarspp.player.mcts</a> with parameters of type <a href="../../../../towerwarspp/player/mcts/Node.html" title="class in towerwarspp.player.mcts">Node</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../towerwarspp/player/mcts/Node.html#Node-towerwarspp.preset.Move-towerwarspp.player.mcts.Node-">Node</a></span>(<a href="../../../../towerwarspp/preset/Move.html" title="class in towerwarspp.preset">Move</a>&nbsp;move,
    <a href="../../../../towerwarspp/player/mcts/Node.html" title="class in towerwarspp.player.mcts">Node</a>&nbsp;parent)</code>
<div class="block">Private Node constructor that is used to add a new Node to a prior leaf Node.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../towerwarspp/player/mcts/ScoredNode.html#ScoredNode-towerwarspp.player.mcts.Node-double-">ScoredNode</a></span>(<a href="../../../../towerwarspp/player/mcts/Node.html" title="class in towerwarspp.player.mcts">Node</a>&nbsp;node,
          double&nbsp;ucbScore)</code>
<div class="block">Construct a new pair that holds a reference to the passed Node and it's  score.</div>
</td>
</tr>
<tr class="altColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../towerwarspp/player/mcts/UpdateTree.html#UpdateTree-towerwarspp.board.Board-towerwarspp.player.mcts.Node-towerwarspp.player.PlayStrategy-int-">UpdateTree</a></span>(<a href="../../../../towerwarspp/board/Board.html" title="class in towerwarspp.board">Board</a>&nbsp;board,
          <a href="../../../../towerwarspp/player/mcts/Node.html" title="class in towerwarspp.player.mcts">Node</a>&nbsp;root,
          <a href="../../../../towerwarspp/player/PlayStrategy.html" title="enum in towerwarspp.player">PlayStrategy</a>&nbsp;playStrategy,
          int&nbsp;nthSubtree)</code>
<div class="block">Constructor to construct a new UpdateTree object.</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../towerwarspp/player/mcts/Node.html" title="class in towerwarspp.player.mcts">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?towerwarspp/player/mcts/class-use/Node.html" target="_top">Frames</a></li>
<li><a href="Node.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
